Loading...
Searching...
No Matches
RDKit::CustomPropHandler Class Referenceabstract

`#include <StreamOps.h>`

Inheritance diagram for RDKit::CustomPropHandler:

## Public Member Functions

virtual | ~CustomPropHandler ()
virtual const char * | getPropName () const =0
virtual bool | canSerialize (const RDValue &value) const =0
virtual bool | read (std::istream &ss, RDValue &value) const =0
virtual bool | write (std::ostream &ss, const RDValue &value) const =0
virtual CustomPropHandler * | clone () const =0

## Detailed Description

Definition at line 371 of file StreamOps.h.

## Constructor & Destructor Documentation

## ~CustomPropHandler()

virtual RDKit::CustomPropHandler::~CustomPropHandler | ( |  | ) |

inline virtual

Definition at line 373 of file StreamOps.h.

## Member Function Documentation

## canSerialize()

virtual bool RDKit::CustomPropHandler::canSerialize | ( | const RDValue & | value | ) | const

pure virtual

Implemented in RDKit::DataStructsExplicitBitVecPropHandler.

## clone()

virtual CustomPropHandler * RDKit::CustomPropHandler::clone | ( |  | ) | const

pure virtual

Implemented in RDKit::DataStructsExplicitBitVecPropHandler.

## getPropName()

virtual const char * RDKit::CustomPropHandler::getPropName | ( |  | ) | const

pure virtual

Implemented in RDKit::DataStructsExplicitBitVecPropHandler.

## read()

virtual bool RDKit::CustomPropHandler::read | ( | std::istream & | ss,
|  | RDValue & | value
| ) |  | const

pure virtual

Implemented in RDKit::DataStructsExplicitBitVecPropHandler.

## write()

virtual bool RDKit::CustomPropHandler::write | ( | std::ostream & | ss,
|  | const RDValue & | value
| ) |  | const

pure virtual

Implemented in RDKit::DataStructsExplicitBitVecPropHandler.

The documentation for this class was generated from the following file:

- StreamOps.h